#include "Node.h"

Node::Node()
{
	label="";
	heavy=false;	
	LTRP=RTLP=DC=0;
}

Node::Node(string label1, bool heavy1)
{
	label=label1;
	heavy=heavy1;	
	RTLP=LTRP=DC=0;
}

Node::Node(const Node& other)
{
	label=other.label;
	heavy=other.heavy;
}

Node::~Node()
{
}

void Node::PrintNode()
{
	cout << "label:  " << label << "\n";
	cout << "heavy:  " << heavy << "\n";
	cout << "LTRP:   " << LTRP <<endl;
	cout << "RTLP:   " << RTLP <<endl;
	cout << "DC:   " << DC <<endl;
}